Skip to main content

Change Logs

2026-09-20​

Interface version header x-version updated from v2 to v3 across the Authentication documents.

Changed​

CategoryAPIChangeLink
Docs—x-version request header updated from v2 to v3 in the required headers table.Authentication Overview
Docs—x-version request header updated from v2 to v3 in the required headers table and in the Python/Java signature examples; the example endpoint used throughout was updated from GET /openapi/account/list to GET /trading/accounts/list.Signature
Docs—x-version updated from v2 to v3 in the request header example.Token

2026-09-12​

Market Data API: Expanded the Screeners and Fundamentals modules with additional endpoints.

New​

CategoryAPIChangeLink
APIMarket Data APIAdded 4 Screeners endpoints: Market Sectors, Market Sectors Detail, High Dividend Rank, and 52 Week High/Low.Market Sectors
Market Sectors Detail
High Dividend Rank
52 Week High/Low
APIMarket Data APIAdded 20 Fundamentals endpoints: Forecast EPS, Filings, Earnings Calendar, Dividend Calendar, Capital Flow, Industry Comparison, Indicators, Income, Cashflow, Balancesheet, Alert, Fund Brief, Fund Performance, Fund NetValue, Fund Holdings, Fund Dividends, Fund Rating, Fund Splits, Fund Files, and Fund Allocation.Forecast EPS
Filings
Earnings Calendar
Dividend Calendar
Capital Flow
Industry Comparison
Indicators
Income
Cashflow
Balancesheet
Alert
Fund Brief
Fund Performance
Fund NetValue
Fund Holdings
Fund Dividends
Fund Rating
Fund Splits
Fund Files
Fund Allocation

2026-08-22​

Optimized API endpoint descriptions and paths.

Changed​

CategoryAPIChange
APITrading APIOptimized API endpoint descriptions and paths for clarity and consistency.

2026-08-08​

Add Subscribe Position Events.

Add​

CategoryAPIChangeLink
APITrading APIAdd the 'Subscribe Position Events' interface.Subscribe Position Events

2026-08-04​

Trading API: Added US Single-Leg Options support.

New​

CategoryAPIChangeLink
APITrading APIAdded US Single-Leg Options trading support. SG accounts can now place, replace, and cancel single-leg option orders (Call/Put) through the unified order endpoints. Supported order types: Market, Limit, Stop Loss, Stop Loss Limit. Supported time-in-force: DAY, GTC. Strategy: SINGLE.Single-Leg Options
DocsTrading APIUpdated Trading API Overview to include Single-Leg Options in Supported Products and Feature Matrix.Trading API Overview

2026-08-03​

AI-Friendly Resources: Webull Cloud MCP Server has added available endpoints.

Add​

CategoryAPIChangeLink
Docs—Webull Cloud MCP Server Add the following available endpoints: get_stock_capital_flow, get_stock_filings, get_stock_earnings_calendar, get_stock_dividend_calendar, get_stock_forecast_eps, get_stock_industry_comparison, get_fund_rating, get_fund_performance, get_fund_allocation, get_fund_holdings, get_fund_brief, get_fund_dividends, get_fund_splits, get_fund_net_value, get_fund_files, get_financial_alert, get_financial_indicators, get_income_statement, get_balance_sheet, get_cash_flow, get_market_sectors, get_market_sectors_detail, get_high_dividend, get_52_week_high_lowWebull Cloud MCP Server

2026-08-01​

AI-Friendly Resources: Added Webull CLI documentation.

New​

CategoryAPIChangeLink
ToolCLIAdded Webull CLI — a single-binary Go command-line tool providing structured access to Webull OpenAPI for stock trading, market data, account management, and instrument lookup. Supports JSON and CSV output, AK/SK authentication with 2FA, multi-profile management, and automation-friendly design for AI agents, scripts, and CI workflows.Webull CLI

2026-07-25​

AI-Friendly Resources: Added Webull Cloud MCP Server documentation.

New​

CategoryAPIChangeLink
Docs—Added Webull Cloud MCP Server quickstart documentation under AI-Friendly ResourcesWebull Cloud MCP Server

2026-06-27​

Trading API and Market Data API update.

Changed​

CategoryAPIChangeLink
APIMarket Data APIMove the following three endpoints from the Trading API/Instrument directory to the Market Data API/Fundamentals directory: Company Profile, Analyst Target Price, and Analyst Rating.Company Profile

Add Watchlist and some API.

Add​

CategoryAPIChangeLink
APIMarket Data APIAdd Watchlist (Get Watchlist、Create Watchlist、Update Watchlist、Delete Watchlist、Get Watchlist Instruments、Add Instruments to Watchlist、Remove Instruments from Watchlist、Update Instruments Sort Order)Get Watchlist
APIMarket Data APIAdd Screener (Gainers & Losers、Top Active) API endpoints to the market-data directory.Gainers & Losers

2026-06-13​

Signature document update.

Historical Bars API now supports additional bar intervals, including intraday, daily, weekly, monthly, and yearly timeframes.

Changed​

CategoryAPIChangeLink
Docs—Signature document content updated by part format.Signature
APIMarket Data APIHistorical Bars endpoint updated timespan.schema.enum to support additional values: M15, M30, M60, M120, M240, D, W, M, Y.Historical Bars

2026-06-06​

Trading API: Stock Instrument endpoints added margin requirement ratio fields.

Changed​

CategoryAPIChangeLink
APITrading APIGet Stock Instrument response now returns four additional margin fields:
intraday_margin_long — Intraday margin requirement ratio for long position
intraday_margin_short — Intraday margin requirement ratio for short position
maintenance_margin_long — Maintenance margin requirement ratio for long position
maintenance_margin_short — Maintenance margin requirement ratio for short position
Get Stock Instrument